package com.huimv.environment.repo;

import com.huimv.environment.entity.WarningInfoEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;

import javax.transaction.Transactional;
import java.util.Date;
import java.util.List;

public interface WarningInfoEntityRepo extends JpaRepository<WarningInfoEntity, Integer>, JpaSpecificationExecutor<WarningInfoEntity> {

    List<WarningInfoEntity> findAllByShowStatusAndUploadTimeBetween(Integer showStatus,Date starTime, Date endTime);


    @Transactional
    @Modifying
    @Query(nativeQuery = true,value = "update warning_info set show_status = 1 where warning_type = 1  and show_status = 0")
    void updateShowStatusByWarningType();

}